Get a custom field definition
curl --request GET \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/custom-fields/{key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/custom-fields/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/custom-fields/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifier": "industry",
"key": "industry",
"name": "Industry",
"entity_type": "organisation",
"type": "text",
"description": "The primary industry of the company.",
"group": "custom",
"is_visible": true,
"source": "manual",
"rules": [
{}
],
"is_system": false,
"options": [
{}
],
"visible_in_spotter": false
}Custom Fields
Get a custom field definition
GET
/
v1
/
workspaces
/
{workspaceUuid}
/
custom-fields
/
{key}
Get a custom field definition
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
The UUID of the workspace
Example:
"550e8400-e29b-41d4-a716-446655440000"
The key of the custom field
Example:
"industry"
Response
The custom field definition
A custom field definition for organisations
The unique identifier of the field
Example:
"industry"
The machine-readable key of the field
Example:
"industry"
The human-readable name of the field
Example:
"Industry"
The entity type the field belongs to
Example:
"organisation"
The data type of the field
Example:
"text"
Example:
"The primary industry of the company."
The group the field belongs to
Example:
"custom"
Example:
true
The source of the field
Example:
"manual"
Example:
false
Whether this field's values are exposed in the Spotter API response
Example:
false